
if (CMAKE_VERSION VERSION_LESS 2.8.3)
    message(FATAL_ERROR "Qt 5 requires at least CMake version 2.8.3")
endif()

get_filename_component(_qt5Multimedia_install_prefix "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

set(Qt5Multimedia_VERSION_MAJOR 5)
set(Qt5Multimedia_VERSION_MINOR 0)
set(Qt5Multimedia_VERSION_PATCH 1)
set(Qt5Multimedia_VERSION_STRING 5.0.1)

set(Qt5Multimedia_LIBRARIES Qt5::Multimedia)

set(Qt5Multimedia_INCLUDE_DIRS "${_qt5Multimedia_install_prefix}/include/qt5/" "${_qt5Multimedia_install_prefix}/include/qt5/QtMultimedia")
set(Qt5Multimedia_PRIVATE_INCLUDE_DIRS
    "${_qt5Multimedia_install_prefix}/include/qt5/QtMultimedia/${Qt5Multimedia_VERSION_STRING}"
    "${_qt5Multimedia_install_prefix}/include/qt5/QtMultimedia/${Qt5Multimedia_VERSION_STRING}/QtMultimedia"
)

set(Qt5Multimedia_DEFINITIONS -DQT_MULTIMEDIA_LIB)
set(Qt5Multimedia_COMPILE_DEFINITIONS QT_MULTIMEDIA_LIB)

set(_Qt5Multimedia_MODULE_DEPENDENCIES "Gui;Network;Core")

set(_Qt5Multimedia_FIND_DEPENDENCIES_REQUIRED)
if (Qt5Multimedia_FIND_REQUIRED)
    set(_Qt5Multimedia_FIND_DEPENDENCIES_REQUIRED REQUIRED)
endif()
set(_Qt5Multimedia_FIND_DEPENDENCIES_QUIET)
if (Qt5Multimedia_FIND_QUIETLY)
    set(_Qt5Multimedia_DEPENDENCIES_FIND_QUIET QUIET)
endif()

foreach(_module_dep ${_Qt5Multimedia_MODULE_DEPENDENCIES})
    if (NOT Qt5${_module_dep}_FOUND)
        find_package(Qt5${_module_dep}
            ${_Qt5Multimedia_DEPENDENCIES_FIND_QUIET}
            ${_Qt5Multimedia_FIND_DEPENDENCIES_REQUIRED}
            PATHS "${_qt5Multimedia_install_prefix}" NO_DEFAULT_PATH
        )
    endif()

    if (NOT Qt5${_module_dep}_FOUND)
        set(Qt5Multimedia_FOUND False)
        return()
    endif()

    list(APPEND Qt5Multimedia_INCLUDE_DIRS "${Qt5${_module_dep}_INCLUDE_DIRS}")
    list(APPEND Qt5Multimedia_PRIVATE_INCLUDE_DIRS "${Qt5${_module_dep}_PRIVATE_INCLUDE_DIRS}")
    list(APPEND Qt5Multimedia_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
    list(APPEND Qt5Multimedia_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
    list(APPEND Qt5Multimedia_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
endforeach()
list(REMOVE_DUPLICATES Qt5Multimedia_INCLUDE_DIRS)
list(REMOVE_DUPLICATES Qt5Multimedia_PRIVATE_INCLUDE_DIRS)
list(REMOVE_DUPLICATES Qt5Multimedia_DEFINITIONS)
list(REMOVE_DUPLICATES Qt5Multimedia_COMPILE_DEFINITIONS)
if (Qt5Multimedia_EXECUTABLE_COMPILE_FLAGS)
  list(REMOVE_DUPLICATES Qt5Multimedia_EXECUTABLE_COMPILE_FLAGS)
endif()

set(_Qt5Multimedia_LIB_DEPENDENCIES "Qt5::Gui;Qt5::Network;Qt5::Core")

macro(_populate_imported_target_properties Configuration LIB_LOCATION IMPLIB_LOCATION)
    set_property(TARGET Qt5::Multimedia APPEND PROPERTY IMPORTED_CONFIGURATIONS ${Configuration})

    set_target_properties(Qt5::Multimedia PROPERTIES
        "IMPORTED_LINK_INTERFACE_LIBRARIES_${Configuration}" "${_Qt5Multimedia_LIB_DEPENDENCIES}"
        "IMPORTED_LOCATION_${Configuration}" "${_qt5Multimedia_install_prefix}/lib/x86_64-linux-gnu/${LIB_LOCATION}"
        "IMPORTED_SONAME_${Configuration}" "libQt5Multimedia.so.5"
    )
endmacro()

if (NOT TARGET Qt5::Multimedia)
    add_library(Qt5::Multimedia SHARED IMPORTED)


    _populate_imported_target_properties(RELEASE "libQt5Multimedia.so.5.0.1" "" )



endif()


